List
curl --request GET \
--url https://api.nebius.cloud/mk8s/v1/clusters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/mk8s/v1/clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/mk8s/v1/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"controlPlane": {
"subnetId": "<string>",
"auditLogs": {},
"endpoints": {
"publicEndpoint": {
"allowedCidrs": [
"<string>"
]
}
},
"etcdClusterSize": "<string>",
"karpenter": {},
"version": "<string>"
},
"kubeNetwork": {
"serviceCidrs": [
"<string>"
]
}
},
"status": {
"controlPlane": {
"auth": {
"clusterCaCertificate": "<string>"
},
"endpoints": {
"privateEndpoint": "<string>",
"publicEndpoint": "<string>"
},
"etcdClusterSize": "<string>",
"version": "<string>"
},
"events": [
{
"firstOccurredAt": "2023-11-07T05:31:56Z",
"lastOccurrence": {
"code": "<string>",
"error": {
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
},
"level": "UNSPECIFIED",
"message": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
},
"occurrenceCount": "<string>"
}
],
"reconciling": true,
"state": "STATE_UNSPECIFIED"
}
}
],
"nextPageToken": "<string>"
}clusters
List
Returns a list of all mk8s clusters in the specified project.
GET
/
mk8s
/
v1
/
clusters
List
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
ID of the IAM container we are listing the resources in.
Specifies the maximum number of items to return in the response.
Token for pagination, allowing the retrieval of the next set of results.
Was this page helpful?
⌘I